"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.containsFlowComment = containsFlowComment;
exports.getStyledLocalImportName = getStyledLocalImportName;

var _core = require("@dubstep/core");

/*
Copyright (c) 2018-2019 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
// eslint-disable-next-line flowtype/no-weak-types
function containsFlowComment(program) {
  const FLOW_PRAGMA = /^\s*(\/*\*+|\/\/)\s*@flow/;
  return FLOW_PRAGMA.test((0, _core.generateJs)(program));
} // returns null if baseui styled is not imported, otherwise returns the local name
// eslint-disable-next-line flowtype/no-weak-types


function getStyledLocalImportName(program) {
  let localStyledName = null;
  program.traverse({
    ImportDeclaration(path) {
      if (path.get('source').node.value === 'baseui') {
        path.get('specifiers').forEach(specifier => {
          if (specifier.get('imported').node.name === 'styled') {
            localStyledName = specifier.get('local').node.name;
          }
        });
      }
    }

  });
  return localStyledName;
}