"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Fixture = void 0;

var _core = require("@dubstep/core");

/*
Copyright (c) 2018-2019 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
class Fixture {
  constructor() {
    // hacky way to generate a uuid, but seems stable for now
    this.dir = `fixtures/${Math.random()}-${Math.random()}.js`;
    this.fixture = `${this.dir}/fixture.js`;
  }

  async write(content) {
    return (0, _core.writeFile)(this.fixture, content);
  }

  async read() {
    return (0, _core.readFile)(this.fixture);
  }

  async remove() {
    return (0, _core.removeFile)(this.dir);
  }

}

exports.Fixture = Fixture;